简单的方法就是使用脚本
打开dwg1立即执行与手动qsave关闭相同的步骤
打开dwg2立即执行与手动qsave关闭相同的步骤
把步骤写在记事本上
这里可能有一个批处理编辑器检查李mac。他可能有一个好的区块编辑器
这可能是你想要的
- (vl-load-com)
- (setq adoc (vla-get-activedocument (vlax-get-acad-object)))
- (vla-startundomark adoc)
- (vlax-for block (vla-get-blocks adoc)
- (if (not (wcmatch (strcase (vla-get-name block) t) "*_space*")) ; change *_space* to name of your block
- (vlax-for ent block
- (vla-put-color ent 0) ; red is color 1
- (vla-put-linetype ent "Bylayer") ; remove this line
- (vla-put-lineweight ent aclnwtbyblock) ; remove this line
- ) ;_ end of vlax-for
- ) ;_ end of if
- ) ;_ end of vlax-for
- (vla-regen adoc acactiveviewport)
- (vla-endundomark adoc)
- (princ)
脚本打开dwg1(加载“'codeabove.lsp”)qsave close |